/// <reference types="i18next" />
import { Component } from 'react';
import type { RichContentTheme, TranslationFunction } from 'wix-rich-content-common';
declare type dropDownPropsType = {
    tooltip: string;
    isActive: () => boolean;
    getIcon: () => any;
    name: string;
    isDisabled: () => boolean;
    loadSelection?: () => void;
    saveSelection?: () => void;
    colorPickerHeaderKey: string;
    withColoredIcon?: boolean;
};
interface ColorPickerButtonProps {
    onToolbarButtonClick?: () => void;
    theme?: RichContentTheme;
    t: TranslationFunction;
    dropDownProps: dropDownPropsType;
    isMobile?: boolean;
    getCurrentColor: () => string;
    onColorAdded: (string: any) => void;
    onChange: (string: any) => void;
    settings: any;
    defaultPalette: string[];
    getUserColors: () => string[];
    onResetColor: () => void;
    nestedMenu?: boolean;
    afterClick?: () => void;
    getDefaultColors: () => string;
    setKeepOpen?: (boolean: any) => void;
}
interface State {
    isModalOpen: boolean;
    currentColor: string;
    userColors: string[];
    lastFocusedButton: HTMLElement | null;
}
declare class ColorPickerButton extends Component<ColorPickerButtonProps, State> {
    modalRef?: HTMLDivElement | null;
    constructor(props: any);
    setModalRef: (ref: any) => any;
    componentWillReceiveProps: (nextProps: any) => void;
    toggleModal: (e: any) => void;
    closeModal: ({ loadSelectionOnClose, clickFromKeyboard }?: {
        loadSelectionOnClose?: boolean | undefined;
        clickFromKeyboard?: boolean | undefined;
    }) => void;
    onColorAdded: ({ color }: {
        color: any;
    }) => void;
    onChange: ({ color, event }: {
        color: any;
        event: any;
    }) => void;
    onResetColor: ({ event }: {
        event: any;
    }) => void;
    extractPalette: (colorScheme: any) => any[];
    onClickOutside: (e: any) => void;
    render(): JSX.Element;
}
export default ColorPickerButton;
//# sourceMappingURL=ColorPickerButton.d.ts.map