/// <reference types="i18next" />
import type { FC } from 'react';
import { Component } from 'react';
import type { RichContentTheme, TranslationFunction } from 'wix-rich-content-common';
declare type dropDownPropsType = {
    isMobile?: boolean;
    tabIndex?: number;
    buttons: any;
    tooltip: string;
    dataHook: string;
    isActive: () => boolean;
    isDisabled: () => boolean;
    getLabel?: () => string;
    arrow?: boolean;
    isMobileModalFullscreen?: boolean;
    getIcon: () => any;
    saveState?: () => void;
    saveSelection?: () => void;
    onCancel?: () => void;
    onChange?: (any: any) => void;
    onDelete?: () => void;
    loadSelection?: () => void;
    isInput: boolean;
    useIconOnMobile?: boolean;
    closeOnChange?: boolean;
};
interface ModalButtonProps {
    onToolbarButtonClick?: any;
    theme?: RichContentTheme;
    setKeepOpen?: (boolean: any) => void;
    t: TranslationFunction;
    modal: (() => JSX.Element) | FC<any>;
    onSelect: (string: any) => void;
    onSave?: (any: any) => void;
    onDone?: (any: any) => void;
    isMobile?: boolean;
    dropDownProps: dropDownPropsType;
    getEditorContainer: () => Element;
}
interface State {
    isModalOpen: boolean;
    isModalOverflowByHeight: boolean;
    overflowWidthBy: boolean | number;
    lastFocusedButton: HTMLElement | null;
}
declare class ModalButton extends Component<ModalButtonProps, State> {
    modalRef?: HTMLDivElement | null;
    constructor(props: any);
    setModalRef: (ref: any) => any;
    toggleModal: (e: any) => void;
    handleOverflow: () => void;
    openModal: () => void;
    closeModal: ({ loadSelectionOnClose, clickFromKeyboard }?: {
        loadSelectionOnClose?: boolean | undefined;
        clickFromKeyboard?: boolean | undefined;
    }) => void;
    onSave: ({ clickFromKeyboard, data }: {
        clickFromKeyboard?: boolean | undefined;
        data: any;
    }) => void;
    onDone: ({ clickFromKeyboard, data }: {
        clickFromKeyboard?: boolean | undefined;
        data: any;
    }) => void;
    onDelete: ({ clickFromKeyboard }: {
        clickFromKeyboard?: boolean | undefined;
    }) => void;
    onCancel: ({ clickFromKeyboard }: {
        clickFromKeyboard?: boolean | undefined;
    }) => void;
    onChange: (args_0: any) => void;
    onClickOutside: (e: any) => void;
    render(): JSX.Element;
}
export default ModalButton;
//# sourceMappingURL=ModalButton.d.ts.map