/// <reference types="i18next" />
import { Component } from 'react';
import type { RichContentTheme, TranslationFunction } from 'wix-rich-content-common';
declare type dropDownPropsType = {
    t: TranslationFunction;
    isMobile?: boolean;
    tooltip: string;
    dataHook: string;
    getIcon: () => any;
    buttonList: any[];
};
interface NestedMenuProps {
    theme?: RichContentTheme;
    dropDownProps: dropDownPropsType;
    getEditorContainer: () => Element;
}
interface State {
    isModalOpen: boolean;
    lastFocusedButton: HTMLElement | null;
    staticToolbarContainer: boolean;
}
declare class NestedMenu extends Component<NestedMenuProps, State> {
    nestedMenuRef?: HTMLDivElement | null;
    nestedMenuButtonRef?: HTMLDivElement | null;
    constructor(props: any);
    componentDidMount(): void;
    toggleModal: (e: any) => void;
    openModal: (e: any) => void;
    closeModal: ({ clickFromKeyboard }: {
        clickFromKeyboard?: boolean | undefined;
    }) => void;
    onClickOutside: () => void;
    setNestedMenuRef: (ref: any) => any;
    setNestedMenuButtonRef: (ref: any) => any;
    onKeyDown: (e: any) => void;
    render(): JSX.Element;
}
export default NestedMenu;
//# sourceMappingURL=NestedMenu.d.ts.map