/// <reference types="i18next" />
import { Component } from 'react';
import type { TranslationFunction, EditorCommands, AnchorTarget, RelValue, Link_Rel, CustomAnchorScroll, AvailableExperiments, OnAddPluginLink } from 'wix-rich-content-common';
import type { RicosCssOverride, RicosTheme } from 'ricos-common';
export declare type linkPanelDataType = {
    linkTypes?: any;
    uiSettings?: {
        linkPanel?: {
            dropDown?: any;
            externalPopups?: boolean;
            showNewTabCheckbox?: boolean;
            showNoFollowCheckbox?: boolean;
            showSponsoredCheckbox?: boolean;
        };
    };
    isMobile?: boolean;
    linkSettings?: {
        anchorTarget?: AnchorTarget;
        relValue?: RelValue;
        rel?: Link_Rel;
        customAnchorScroll?: CustomAnchorScroll;
    };
    onLinkAdd?: any;
    onAddPluginLink?: OnAddPluginLink;
};
export declare type defaultLineSpacingType = {
    'line-height'?: string;
    'padding-top'?: string;
    'padding-bottom'?: string;
};
interface RicosToolbarProps {
    isMobile?: boolean;
    tabIndex?: number;
    t: TranslationFunction;
    vertical?: boolean;
    buttons?: any;
    editorCommands: EditorCommands;
    setKeepOpen?: (boolean: any) => void;
    afterClick?: () => void;
    nestedMenu?: boolean;
    theme?: RicosTheme;
    linkPanelData?: linkPanelDataType;
    colorPickerData?: any;
    headingsData?: any;
    onToolbarButtonClick?: (name: string, value?: any) => void;
    experiments?: AvailableExperiments;
    defaultLineSpacing?: defaultLineSpacingType;
    getEditorContainer: () => Element;
    cssOverride?: RicosCssOverride;
    configButtonsOverrides?: any;
    disabled?: boolean;
}
declare class RicosToolbar extends Component<RicosToolbarProps> {
    cleanUnwantedSeparators: (buttons: any) => any;
    render(): JSX.Element;
}
export default RicosToolbar;
//# sourceMappingURL=RicosToolbar.d.ts.map