/// <reference types="i18next" />
import { Component } from 'react';
import type { RichContentTheme, TranslationFunction } from 'wix-rich-content-common';
interface ToolbarProps {
    isMobile?: boolean;
    tabIndex?: number;
    t: TranslationFunction;
    vertical?: boolean;
    buttons: any;
    setKeepOpen?: (boolean: any) => void;
    afterClick?: () => void;
    nestedMenu?: boolean;
    theme?: RichContentTheme;
    onToolbarButtonClick?: any;
    getEditorContainer: () => Element;
    disabled?: boolean;
}
interface State {
    buttons: any;
    overflowCount: number;
}
declare class Toolbar extends Component<ToolbarProps, State> {
    theme: RichContentTheme;
    toolbarRef: HTMLElement;
    firstButton: HTMLElement | null;
    lastButton: HTMLElement | null;
    constructor(props: any);
    componentDidUpdate(prevProps: any): void;
    componentDidMount(): void;
    setFirstAndLastButtons: () => void;
    updateToolbarOverflow: () => any[];
    setToolbarOverflow: () => any;
    toolbarOverflowWithContainerWidth: () => number;
    renderButton: (buttonProps: any) => JSX.Element;
    renderSeparator: () => JSX.Element;
    renderDropDown: (buttonProps: any) => JSX.Element;
    renderButtonGroup: ({ buttonList, tooltip, ...rest }: {
        [x: string]: any;
        buttonList: any;
        tooltip: any;
    }) => JSX.Element;
    renderColorPicker: (buttonProps: any) => JSX.Element;
    renderTextButton: (buttonProps: any) => JSX.Element;
    renderModal: (buttonProps: any) => JSX.Element;
    preventDefault: (event: any) => any;
    renderComponent: (buttonProps: any) => JSX.Element;
    renderNestedMenu: (buttonProps: any) => JSX.Element;
    renderContextMenu: (buttonProps: any) => JSX.Element;
    buttonMap: {
        [x: string]: ((buttonProps: any) => JSX.Element) | (() => JSX.Element);
    };
    onKeyDown: (e: any) => void;
    setToolbarRef: (ref: any) => any;
    render(): JSX.Element;
}
export default Toolbar;
//# sourceMappingURL=Toolbar.d.ts.map