import type { FC } from 'react';
import type { InlineStyle, DecorationsDataMap, TextAlignment, ColorType } from 'wix-rich-content-common';
import { RICOS_FONT_SIZE_TYPE, RICOS_LINK_TYPE, RICOS_TEXT_COLOR_TYPE, RICOS_TEXT_HIGHLIGHT_TYPE } from 'wix-rich-content-common';
export declare const HEADING_TYPE_TO_ELEMENT: Readonly<{
    'header-one': string;
    'header-two': string;
    'header-three': string;
    'header-four': string;
    'header-five': string;
    'header-six': string;
    unstyled: string;
}>;
export declare const HEADING_TYPE_TO_ICON: Readonly<{
    H1: () => JSX.Element;
    H2: () => JSX.Element;
    H3: () => JSX.Element;
    H4: () => JSX.Element;
    H5: () => JSX.Element;
    H6: () => JSX.Element;
    P: () => JSX.Element;
}>;
export declare const alignmentsModalData: {
    text: string;
    tooltip: string;
    tooltipShortcut: {
        MacOS: string;
        Windows: string;
    };
    commandKey: string;
    icon: (props: any) => JSX.Element;
    dataHook: string;
}[];
export declare const lineSpacingModalData: {
    text: string;
    commandKey: string;
}[];
export declare const defaultLineSpacing: {
    'line-height': string;
    'padding-top': string;
    'padding-bottom': string;
};
declare type buttonsFullDataType = {
    type: string;
    plugin?: string;
    icon?: any;
    dataHook?: string;
    tooltip?: string;
    tooltipShortcut?: Record<'MacOS' | 'Windows', string>;
    label?: string;
    arrow?: boolean;
    action?: string;
    modal?: (() => JSX.Element) | FC<any>;
    onSave?: string;
    saveState?: boolean;
    onCancel?: string;
    onChange?: string;
    onDone?: string;
    onDelete?: string;
    saveSelection?: boolean;
    loadSelection?: boolean;
    isMobileModalFullscreen?: boolean;
    colorPickerHeaderKey?: string;
    unstyled?: {
        icon: any;
        action: string;
    };
    'header-two'?: {
        icon: any;
        action: string;
    };
    'header-three'?: {
        icon: any;
        action: string;
    };
    isInput?: boolean;
    useIconOnMobile?: boolean;
    closeOnChange?: boolean;
    isActive?: () => boolean;
};
export declare const buttonsFullData: Record<string, buttonsFullDataType>;
export declare const inlineStyleButtons: Record<string, InlineStyle>;
export declare const inlineOverrideStyles: Record<string, InlineStyle>;
export declare const documentStyleCssProperties: Record<string, string>;
export declare const textBlockButtons: Record<string, string>;
export declare const decorationButtons: Record<string, keyof DecorationsDataMap>;
export declare const deleteDecorationButtons: Record<string, typeof RICOS_FONT_SIZE_TYPE | typeof RICOS_TEXT_COLOR_TYPE | typeof RICOS_TEXT_HIGHLIGHT_TYPE | typeof RICOS_LINK_TYPE>;
export declare const setTextAlignment: Record<string, TextAlignment>;
export declare const colorTypes: Record<string, ColorType>;
export {};
//# sourceMappingURL=buttonsListCreatorConsts.d.ts.map